pro x11
on_error,2
device, /close
set_plot,'x'
return
end


pro ps, filename, xsize=xs, ysize=ys, yoffset=yoff, color=color, landscape=landscape

on_error,2
if not keyword_set(xs) then xs=7
if not keyword_set(ys) then ys=9
if not keyword_set(yoff) then yoff=1

set_plot,'ps'
if keyword_set(landscape) then begin
  device,file=filename,bits_per_pixel=8,/landscape,/inches,xsize=ys,ysize=xs,xoffset=yoff,color=color
endif else begin
  device,file=filename,xsize=xs,ysize=ys,yoffset=yoff,/inches,bits_per_pixel=8,/portrait,color=color
endelse

return
end
